Loading...
Searching...
No Matches
DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item Class Reference

Item class. More...

Inheritance diagram for DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getBrachyApplicationSetupDose (OFString &value, const signed long pos=0) const
| get BrachyApplicationSetupDose (300a,00a4)
OFCondition | getBrachyApplicationSetupDose (Float64 &value, const unsigned long pos=0) const
| get BrachyApplicationSetupDose (300a,00a4)
OFCondition | getBrachyApplicationSetupDoseSpecificationPoint (OFString &value, const signed long pos=0) const
| get BrachyApplicationSetupDoseSpecificationPoint (300a,00a2)
OFCondition | getBrachyApplicationSetupDoseSpecificationPoint (Float64 &value, const unsigned long pos=0) const
| get BrachyApplicationSetupDoseSpecificationPoint (300a,00a2)
OFCondition | getBrachyApplicationSetupDoseSpecificationPoint (OFVector< Float64 > &value) const
| get BrachyApplicationSetupDoseSpecificationPoint (300a,00a2)
OFCondition | getReferencedBrachyApplicationSetupNumber (OFString &value, const signed long pos=0) const
| get ReferencedBrachyApplicationSetupNumber (300c,000c)
OFCondition | getReferencedBrachyApplicationSetupNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedBrachyApplicationSetupNumber (300c,000c)
OFCondition | getReferencedDoseReferenceUID (OFString &value, const signed long pos=0) const
| get ReferencedDoseReferenceUID (300a,0083)
OFCondition | setBrachyApplicationSetupDose (const OFString &value, const OFBool check=OFTrue)
| set BrachyApplicationSetupDose (300a,00a4)
OFCondition | setBrachyApplicationSetupDoseSpecificationPoint (const OFString &value, const OFBool check=OFTrue)
| set BrachyApplicationSetupDoseSpecificationPoint (300a,00a2)
OFCondition | setReferencedBrachyApplicationSetupNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedBrachyApplicationSetupNumber (300c,000c)
OFCondition | setReferencedDoseReferenceUID (const OFString &value, const OFBool check=OFTrue)
| set ReferencedDoseReferenceUID (300a,0083)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | BrachyApplicationSetupDose
| BrachyApplicationSetupDose (300a,00a4) vr=DS, vm=1, type=3.
DcmDecimalString | BrachyApplicationSetupDoseSpecificationPoint
| BrachyApplicationSetupDoseSpecificationPoint (300a,00a2) vr=DS, vm=3, type=3.
DcmIntegerString | ReferencedBrachyApplicationSetupNumber
| ReferencedBrachyApplicationSetupNumber (300c,000c) vr=IS, vm=1, type=1.
DcmUniqueIdentifier | ReferencedDoseReferenceUID
| ReferencedDoseReferenceUID (300a,0083) vr=UI, vm=1, type=3.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getBrachyApplicationSetupDose() [1/2]

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::getBrachyApplicationSetupDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BrachyApplicationSetupDose (300a,00a4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getBrachyApplicationSetupDose() [2/2]

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::getBrachyApplicationSetupDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BrachyApplicationSetupDose (300a,00a4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBrachyApplicationSetupDoseSpecificationPoint() [1/3]

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::getBrachyApplicationSetupDoseSpecificationPoint | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BrachyApplicationSetupDoseSpecificationPoint (300a,00a2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getBrachyApplicationSetupDoseSpecificationPoint() [2/3]

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::getBrachyApplicationSetupDoseSpecificationPoint | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BrachyApplicationSetupDoseSpecificationPoint (300a,00a2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBrachyApplicationSetupDoseSpecificationPoint() [3/3]

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::getBrachyApplicationSetupDoseSpecificationPoint | ( | OFVector< Float64 > & | value | ) | const

get BrachyApplicationSetupDoseSpecificationPoint (300a,00a2)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## getReferencedBrachyApplicationSetupNumber() [1/2]

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::getReferencedBrachyApplicationSetupNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedBrachyApplicationSetupNumber (300c,000c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReferencedBrachyApplicationSetupNumber() [2/2]

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::getReferencedBrachyApplicationSetupNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedBrachyApplicationSetupNumber (300c,000c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getReferencedDoseReferenceUID()

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::getReferencedDoseReferenceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedDoseReferenceUID (300a,0083)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setBrachyApplicationSetupDose()

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::setBrachyApplicationSetupDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BrachyApplicationSetupDose (300a,00a4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setBrachyApplicationSetupDoseSpecificationPoint()

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::setBrachyApplicationSetupDoseSpecificationPoint | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BrachyApplicationSetupDoseSpecificationPoint (300a,00a2)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReferencedBrachyApplicationSetupNumber()

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::setReferencedBrachyApplicationSetupNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedBrachyApplicationSetupNumber (300c,000c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReferencedDoseReferenceUID()

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::setReferencedDoseReferenceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedDoseReferenceUID (300a,0083)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrbas2.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0